MsWks4TextInternal::Ftnt Struct Reference

Internal: class to store footnote definition. More...

## Public Member Functions

| Ftnt ()
| constructor

## Public Attributes

int | m_type
| the note type
int | m_id
| the footnote number
long | m_begin
| the first offset in the text
long | m_end
| the last offset in the text
std::string | m_error
| a string used to store the parsing errors

## Friends

std::ostream & | operator<< (std::ostream &o, Ftnt const &ftnt)
| operator<<

## Detailed Description

Internal: class to store footnote definition.

## Constructor & Destructor Documentation

## Ftnt()

MsWks4TextInternal::Ftnt::Ftnt | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Ftnt const & | ftnt )

friend

operator<<

## Member Data Documentation

## m_begin

long MsWks4TextInternal::Ftnt::m_begin

the first offset in the text

Referenced by Ftnt(), MsWks4Text::ftntDataParser(), and operator<<.

## m_end

long MsWks4TextInternal::Ftnt::m_end

the last offset in the text

Referenced by Ftnt(), MsWks4Text::ftntDataParser(), and operator<<.

## m_error

std::string MsWks4TextInternal::Ftnt::m_error

a string used to store the parsing errors

Referenced by Ftnt(), MsWks4Text::ftntDataParser(), and operator<<.

## m_id

int MsWks4TextInternal::Ftnt::m_id

the footnote number

Referenced by Ftnt(), MsWks4Text::ftntDataParser(), and operator<<.

## m_type

int MsWks4TextInternal::Ftnt::m_type

the note type

Checkme: can we find other values than 1 ?

Referenced by Ftnt(), MsWks4Text::ftntDataParser(), and operator<<.

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx